/*!
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License.
 */
import { SharedCell } from "@fluidframework/cell";
import React from "react";
export interface ICollaborativeCheckboxProps {
    /**
     * The SharedCell that will store the checkbox value.
     */
    data: SharedCell<boolean>;
    /**
     * The value for the "name" property of the checkbox input
     */
    id: string;
    className?: string;
    style?: React.CSSProperties;
}
export interface ICollaborativeCheckboxState {
    checked: boolean;
}
/**
 * Given a SharedCell will produce a collaborative checkbox.
 */
export declare class CollaborativeCheckbox extends React.Component<ICollaborativeCheckboxProps, ICollaborativeCheckboxState> {
    constructor(props: ICollaborativeCheckboxProps);
    componentDidMount(): void;
    render(): JSX.Element;
    private updateCheckbox;
    private isChecked;
}
//# sourceMappingURL=CollaborativeCheckbox.d.ts.map